Bug 402961 - gdmgreeter segfault with NIS client configured
gdmgreeter segfault with NIS client configured
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-28 10:15 EST by Gustavo Tabares
Modified: 2009-01-09 00:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:21:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gustavo Tabares 2007-11-28 10:15:22 EST
Description of problem:

If the NIS client is enabled and configured, gdmgreeter will crash with the
following:

ov 27 15:55:49 MachineName kernel: gdmgreeter[4225]: segfault at 74207372 eip
0805924d esp bfcc1300 error 4

Version-Release number of selected component (if applicable):

gdm-2.18.4.2.fc7

How reproducible: 100%


Steps to Reproduce:
1. Configure NIS (/etc/yp.conf and /etc/sysconfig/network)
2. Run startx (or boot using runlevel 5)
3.
  
Actual results:

The gdmgreeter repeatedly segfaults and user can't login to X.

Expected results:


Additional info:

If NIS client is NOT enabled and configured, gdmgreeter runs just fine.

lspci:
00:00.0 Host bridge: Intel Corporation E7520 Memory Controller Hub (rev 0c)
00:00.1 Class ff00: Intel Corporation E7525/E7520 Error Reporting Registers (rev 0c)
00:01.0 System peripheral: Intel Corporation E7520 DMA Controller (rev 0c)
00:02.0 PCI bridge: Intel Corporation E7525/E7520/E7320 PCI Express Port A (rev 0c)
00:1d.0 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI
Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI
Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI
Controller #3 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI
Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev c2)
00:1f.0 ISA bridge: Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface
Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801EB/ER (ICH5/ICH5R) IDE Controller
(rev 02)
00:1f.3 SMBus: Intel Corporation 82801EB/ER (ICH5/ICH5R) SMBus Controller (rev 02)
01:00.0 PCI bridge: Intel Corporation 6700PXH PCI Express-to-PCI Bridge A (rev 09)
01:00.2 PCI bridge: Intel Corporation 6700PXH PCI Express-to-PCI Bridge B (rev 09)
02:03.0 Ethernet controller: Intel Corporation 82546GB Gigabit Ethernet
Controller (rev 03)
02:03.1 Ethernet controller: Intel Corporation 82546GB Gigabit Ethernet
Controller (rev 03)
02:05.0 SCSI storage controller: LSI Logic / Symbios Logic 53c1030 PCI-X
Fusion-MPT Dual Ultra320 SCSI (rev 08)
02:05.1 SCSI storage controller: LSI Logic / Symbios Logic 53c1030 PCI-X
Fusion-MPT Dual Ultra320 SCSI (rev 08)
03:04.0 Ethernet controller: Intel Corporation 82546GB Gigabit Ethernet
Controller (rev 03)
03:04.1 Ethernet controller: Intel Corporation 82546GB Gigabit Ethernet
Controller (rev 03)
04:0c.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)

uname -a:
Linux MachineName 2.6.23.1-21.fc7 #1 SMP Thu Nov 1 21:09:24 EDT 2007 i686 i686
i386 GNU/Linux

Will supply more info if needed.
Comment 1 Doug Kelly 2008-02-01 09:27:27 EST
This is still an issue on Fedora 8.  However, I have found an easy resolution (after a week of messing with 
it):

In /etc/gdm/custom.conf, add under the [greeter] section,
Browser=false
IncludeAll=false

This should clear the error up... But for some reason, GDM is trying to fetch the userlist out of NIS, or 
anything other than passwd (specified in nsswitch.conf), and it fails miserably.
Comment 2 Bug Zapper 2008-05-14 11:07:05 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Doug Kelly 2008-05-14 11:48:12 EDT
Again, I have managed to verify this bug against Fedora 8 (have not tested
Fedora 9 yet), and it still exists.
Comment 4 Normand Robert 2008-05-21 12:18:17 EDT
Also verified bug in F8 on nis system with 1600+ users. Adding comments here as
well 

Behaviour in F8

ypcat passwd | wc
   1673    3603  115752

grep gdm  /F8_root/var/log/messages | tail -8
May 21 10:50:47 panda kernel: gdmgreeter[4398]: segfault at 74207372 eip
08058ddc esp bfd39c50 error 4
May 21 10:51:00 panda kernel: gdmgreeter[4432]: segfault at 74207372 eip
08058ddc esp bfd0a420 error 4
May 21 10:51:12 panda kernel: gdmgreeter[4466]: segfault at 74207372 eip
08058ddc esp bf81ef30 error 4
May 21 10:51:24 panda kernel: gdmgreeter[4495]: segfault at 74207372 eip
08058ddc esp bf958070 error 4
May 21 10:51:37 panda kernel: gdmgreeter[4524]: segfault at 74207372 eip
08058ddc esp bf874780 error 4
May 21 10:51:49 panda kernel: gdmgreeter[4550]: segfault at 74207372 eip
08058ddc esp bf891fa0 error 4
May 21 10:52:03 panda kernel: gdmgreeter[4576]: segfault at 74207372 eip
08058ddc esp bfab71d0 error 4
May 21 10:52:08 panda gdm-binary[2705]: WARNING: The display server has been
shut down about 6 times in the last 90 seconds. It is likely that something bad
is going on.  Waiting for 2 minutes before trying again on display :0.

Problem occured after going from 1:2.20.3-1.fc8.i386 to 1:2.20.5-1.fc8.i386

grep gdm /F8_root/var/log/yum.log*
/F8_root/var/log/yum.log:May 12 14:10:28 Updated: gdm - 1:2.20.5-1.fc8.i386
/F8_root/var/log/yum.log-20080227:Feb 14 13:04:08 Updated: gdm - 1:2.20.3-1.fc8.i386



https://bugzilla.redhat.com/show_bug.cgi?id=242343

but
Comment 5 Peter van Egdom 2008-06-02 15:10:04 EDT
Changing version from "7" to "8".
Comment 6 Bug Zapper 2008-11-26 03:44:00 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 00:21:58 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.